import com.pi4j.io.i2c.I2CBus;
import com.pi4j.io.i2c.I2CDevice;
import com.pi4j.io.i2c.I2CFactory;
import java.io.IOException;

/**
 * Read the time of an I2C-connected DS1307 Real-Time Clock chip.
 */
public final class ReadDS1307Time {
    private static final int DEVICE_ID = 0x68;

    public static void main(final String[] args) throws IOException {
    
        final I2CBus i2cBus = I2CFactory.getInstance(I2CBus.BUS_1);
        final I2CDevice device = i2cBus.getDevice(DEVICE_ID);
        final DS1307 rtc = new DS1307(device);

        while (true) {
            rtc.readClock();
            System.out.println(rtc);
        }
    }
}
