import com.pi4j.io.i2c.I2CBus;
import com.pi4j.io.i2c.I2CDevice;
import com.pi4j.io.i2c.I2CFactory;
import java.io.IOException;
import java.util.Date;

/**
 * Write the system time to a I2C-connected DS1307 Real-Time Clock chip.
 */

public final class WriteSystemTimeToDS1307 {
    
    private static final int DEVICE_ID = 0x68;
    
    public static void main(final String[] args) throws IOException {
        final I2CBus i2cBus = I2CFactory.getInstance(I2CBus.BUS_1);
        final I2CDevice device = i2cBus.getDevice(DEVICE_ID);
        final DS1307 rtc = new DS1307(device);
        
        final Date now = new Date();
        
        rtc.writeClock(now);
        
        rtc.readClock();
        
        System.out.println(rtc.asPrettyString());
    }
}